Bug 848413 - squid-3.2.1 is available
squid-3.2.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:10 EDT by Upstream Release Monitoring
Modified: 2012-08-29 08:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 08:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-08-15 10:10:19 EDT
Latest upstream release: 3.2.1
Current version in Fedora Rawhide: 3.2.0.16
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-08-15 10:34:06 EDT
Changes to squid-3.2.1 (15 Aug 2012):

	- Bug 3605: memory leak in peer selection
	- Bug 3478: better default handling without -DSTRICT_ORIGINAL_DST
	- ... and some documentation updates

Changes to squid-3.2.0.19 (02 Aug 2012):

	- Regression Bug 3580: IDENT request makes squid crash
	- Regression Bug 3577: File Descriptors not properly closed
	- Regression Bug 3478: Allow peer selection and connection auth on
			       intercepted traffic
	- Regression Fix: Restore memory caching ability
	- Bug 3556 Workaround: epoll assertion failed: comm.cc:1093: isOpen(fd)
	- Bug 3551: store_rebuild.cc:116: "store_errors == 0" assertion
	- Bug 3525: Do not resend nibbled PUTs and avoid "mustAutoConsume"
		    assertion.
	- Avoid bogus "Disk space over limit" warnings when rebuidling dirty
	  ufs index
	- Support custom headers in [request|reply]_header_* manglers
	- ... and much code polishing

Changes to squid-3.2.0.18 (29 Jun 2012):

	- Bug 3576: ICY streams being Transfer-Encoding:chunked
	- Bug 3537: statistics histogram leaks memory
	- Bug 3526: digest authentication crash
	- Bug 3484: Docs: sslproxy_cert_error example flawed
	- Bug 3462: Delay Pools and ICAP
	- Bug 3405: ssl_crtd crashes failing to remove certificate
	- Bug 3380: Mac OSX compile errors with CMSG_SPACE
	- Bug 3258: Requests hang when Host forgery verify fails
	- Bug 3186: Digest auth caches failed state without revalidating
	- Bug 2976: ERR_INVALID_URL for transparently captured requests when
		    reconfiguring
	- Bug 2885: AIX: check and set required compiler flags
	- Fix ssl_crtd compile issues with libsslutil
	- Fix build with GCC 4.7 (and probably other C++11 compilers).
	- Fix double-escape of %R on deny_info redirect responses
	- Support status 308 Permanent Redirect
	- Support for TLSv1.1 and TLSv1.2 options and methods
	- Support passing external_acl_type credentials on ICAP
	- Language Updates: fr, hy, pt_BR
	- ... and many compile issues on Windows
	- ... and some minor code polish

Changes to squid-3.2.0.17 (12 Apr 2012):

	- Bug 3527: EUI compile errors on Mac OS X 10.5.8 PPC
	- Bug 3509: kQueue compile error
	- Bug 3505: crash in CbcPointer<Comm::ConnOpener> constructor
	- Bug 3441: Part 3: Replace corrupted v1 swap.state with new v2 format.
	- Bug 3397: do not mark connection as opened until after SYN-ACK
	- Bug 3193: NTLM decoder truncating strings
	- Windows FD handling polish and some fixes
	- Solaris 9/10 various build fixes
	- ... and some more code polish

Note You need to log in before you can comment on or make changes to this bug.